import 'package:flyyfluttersdk/model/Balances.dart';
import 'package:flyyfluttersdk/model/DailyOffers.dart';
import 'package:flyyfluttersdk/model/FlyyOffers.dart';

class FlyyAppInfoData {
  bool showPopup;
  String popupData;
  String offerScreenUrl;
  String baseUrl;
  String siteData;
  bool showRedeem;
  List<FlyyOffers> flyyOfferTypes;
  List<DailyOffers> dailyOffers;
  String userName;
  String currentLevel;
  String currentLevelIconUrl;
  List<Balances> balances;
  String bgTheme;
  String scTheme;
  String scSecondaryTheme;

  FlyyAppInfoData(
      {this.showPopup,
      this.popupData,
      this.offerScreenUrl,
      this.baseUrl,
      this.siteData,
      this.showRedeem,
      this.flyyOfferTypes,
      this.dailyOffers,
      this.userName,
      this.currentLevel,
      this.currentLevelIconUrl,
      this.balances,
      this.bgTheme,
      this.scTheme,
      this.scSecondaryTheme});

  factory FlyyAppInfoData.fromJson(Map<String, dynamic> json) {
    return FlyyAppInfoData(
      showPopup: json['show_popup'] as bool,
      popupData: json['popup_data'] as String,
      offerScreenUrl: json['offer_screen_url'] as String,
      baseUrl: json['base_url'] as String,
      siteData: json['site_data'] as String,
      showRedeem: json['show_redeem'] as bool,
      flyyOfferTypes: List<FlyyOffers>.from(
          json['offers'].map((data) => FlyyOffers.fromJson(data))),
      dailyOffers: json.containsKey('daily_offers')
          ? List<DailyOffers>.from(
              json['daily_offers'].map((data) => DailyOffers.fromJson(data)))
          : null,
      userName: json['user_name'] as String,
      currentLevel: json['current_level'] as String,
      currentLevelIconUrl: json['current_level_icon_url'] as String,
      balances: List<Balances>.from(
          json['balances'].map((data) => Balances.fromJson(data))),
      bgTheme: json['bg_theme'],
      scTheme: json['sc_theme'],
      scSecondaryTheme: json['sc_secondary_theme'],
    );
  }
}
