import 'package:flyyfluttersdk/model/FlyyOfferMilestones.dart';
import 'package:flyyfluttersdk/model/FlyyOfferPrizes.dart';

class FlyyOffers {
  int id;
  bool checkedIn;
  int minReward;
  int maxReward;
  int streak;
  int totalStreak;
  String startsAt;
  String endsAt;
  String title;
  String description;
  String bgTheme;
  String imageUrl;
  String offerTypeCode;
  String offerTypeTitle;
  String currencyLabel;
  String currencyIconUrl;
  String shareText;
  String buttonText;
  List<FlyyOfferPrizes> flyyOfferPrizes;
  String offerTerms;
  String currentLevel;
  String currentIconUrl;
  List<FlyyOfferMilestones> flyyOfferMilestones;
  String deeplink;
  String rewardOnEvery;

  FlyyOffers(
      {this.id,
      this.checkedIn,
      this.minReward,
      this.maxReward,
      this.streak,
      this.totalStreak,
      this.startsAt,
      this.endsAt,
      this.title,
      this.description,
      this.bgTheme,
      this.imageUrl,
      this.offerTypeCode,
      this.offerTypeTitle,
      this.currencyLabel,
      this.currencyIconUrl,
      this.shareText,
      this.buttonText,
      this.flyyOfferPrizes,
      this.offerTerms,
      this.currentLevel,
      this.currentIconUrl,
      this.flyyOfferMilestones,
      this.deeplink,
      this.rewardOnEvery});

  factory FlyyOffers.fromJson(Map<String, dynamic> json) {
    return FlyyOffers(
      id: json['id'],
      checkedIn: json['checked_in'],
      minReward: json['min_reward'],
      maxReward: json['max_reward'],
      streak: json['streak'],
      totalStreak: json['total_streak'],
      startsAt: json['starts_at'],
      endsAt: json['ends_at'],
      title: json['title'],
      description: json['description'],
      bgTheme: json['bg_theme'],
      imageUrl: json['image_url'],
      offerTypeCode: json['offer_type_code'],
      offerTypeTitle: json['offer_type_title'],
      currencyLabel: json['currency_label'],
      currencyIconUrl: json['currency_icon_url'],
      shareText: json['share_text'],
      buttonText: json['button_text'],
      flyyOfferPrizes:
          json.containsKey('offer_prizes') && json['offer_prizes'] != null
              ? List<FlyyOfferPrizes>.from(json['offer_prizes']
                  .map((data) => FlyyOfferPrizes.fromJson(data)))
              : null,
      offerTerms: json['details'],
      currentLevel: json['current_level'],
      currentIconUrl: json['current_level_icon_url'],
      flyyOfferMilestones:
          json.containsKey('milestones') && json['milestones'] != null
              ? List<FlyyOfferMilestones>.from(json['milestones']
                  .map((data) => FlyyOfferMilestones.fromJson(data)))
              : null,
      deeplink: json["deeplink"],
      rewardOnEvery: json["reward_on_every"],
    );
  }
}
