import 'package:flyyfluttersdk/model/FlyyGame.dart';
import 'package:flyyfluttersdk/model/FlyyTournamentData.dart';

class FlyyTournament {
  bool success;
  String message;
  String partner;
  String shareText;
  int totalUserPoints;
  String walletType;
  FlyyGame game;
  FlyyTournamentData tournament;
  List<FlyyTournamentData> tournamentsList;

  FlyyTournament(
      {this.success,
      this.message,
      this.partner,
      this.shareText,
      this.totalUserPoints,
      this.walletType,
      this.game,
      this.tournament,
      this.tournamentsList});

  factory FlyyTournament.fromJson(Map<String, dynamic> json) {
    return FlyyTournament(
      success: json["success"],
      message: json["message"],
      partner: json["partner"],
      shareText: json["share_text"],
      totalUserPoints: json["total_user_points"],
      walletType: json["wallet_type"],
      game: json.containsKey("game") && json["game"] != null
          ? FlyyGame.fromJson(json["game"])
          : null,
      tournament: json.containsKey("tournament") && json["tournament"] != null
          ? FlyyTournamentData.fromJson(json["tournament"])
          : null,
      tournamentsList:
          json.containsKey('tournaments') && json['tournaments'] != null
              ? List<FlyyTournamentData>.from(json['tournaments']
                  .map((data) => FlyyTournamentData.fromJson(data)))
              : null,
    );
  }
}
