import 'package:flyyfluttersdk/model/FlyyLeaderboard.dart';
import 'package:flyyfluttersdk/model/FlyyTournamentPrize.dart';

class FlyyTournamentData {
  int id;
  int gameId;
  String title;
  int maxPlayers;
  String startsAt;
  String endsAt;
  int entryFee;
  String entryFeeType;
  int totalPrize;
  String prizeType;
  int ruleTemplateId;
  int tenantId;
  int maxPlayCount;
  bool isLive;
  int winnerCount;
  int winnerPercent;
  int livePlayers;
  bool joined;
  List<FlyyTournamentPrize> prizes;
  String rules;
  int yourId;
  String yourName;
  String yourContactNumber;
  int yourRank;
  int yourPrize;
  int yourScore;
  String yourPrizeType;
  List<FlyyLeaderboard> leaderboardData;
  int playsLeft;
  String gameThumbUrl;
  String gameBanner;
  String prizeIconUrl;

  FlyyTournamentData({
    this.id,
    this.gameId,
    this.title,
    this.maxPlayers,
    this.startsAt,
    this.endsAt,
    this.entryFee,
    this.entryFeeType,
    this.totalPrize,
    this.prizeType,
    this.ruleTemplateId,
    this.tenantId,
    this.maxPlayCount,
    this.isLive,
    this.winnerCount,
    this.winnerPercent,
    this.livePlayers,
    this.joined,
    this.prizes,
    this.rules,
    this.yourId,
    this.yourName,
    this.yourContactNumber,
    this.yourRank,
    this.yourPrize,
    this.yourScore,
    this.yourPrizeType,
    this.leaderboardData,
    this.playsLeft,
    this.gameThumbUrl,
    this.gameBanner,
    this.prizeIconUrl,
  });

  factory FlyyTournamentData.fromJson(Map<String, dynamic> json) {
    return FlyyTournamentData(
      id: json["id"],
      gameId: json["game_id"],
      title: json["title"],
      maxPlayers: json["max_players"],
      startsAt: json["starts_at"],
      endsAt: json["ends_at"],
      entryFee: json["entry_fee"],
      entryFeeType: json["entry_fee_type"],
      totalPrize: json["total_prize"],
      prizeType: json["prize_type"],
      ruleTemplateId: json["rule_template_id"],
      tenantId: json["tenant_id"],
      maxPlayCount: json["max_play_count"],
      isLive: json["is_live"],
      winnerCount: json["winner_count"],
      winnerPercent: json["winner_percent"],
      livePlayers: json["live_players"],
      joined: json["joined"],
      prizes: json.containsKey('prizes') && json['prizes'] != null
          ? List<FlyyTournamentPrize>.from(
              json['prizes'].map((data) => FlyyTournamentPrize.fromJson(data)))
          : null,
      rules: json['rules'],
      yourId: json["your_id"],
      yourName: json["your_name"],
      yourContactNumber: json["your_contact_number"],
      yourRank: json["your_rank"],
      yourPrize: json["your_prize"],
      yourScore: json["your_score"],
      yourPrizeType: json["your_prize_type"],
      leaderboardData: json.containsKey('leaderboard_data') &&
              json['leaderboard_data'] != null
          ? List<FlyyLeaderboard>.from(json['leaderboard_data']
              .map((data) => FlyyLeaderboard.fromJson(data)))
          : null,
      playsLeft: json["plays_left"],
      gameThumbUrl: json["game_thumb_url"],
      gameBanner: json["game_banner"],
      prizeIconUrl: json["prize_icon_url"],
    );
  }
}
